The Metrics API allows clients to get statistics about a node's health and performance.

<Callout title="Note">
This API set is for a specific node, it is unavailable on the [public server](https://docs.lux.network/docs/tooling/rpc-providers).
</Callout>

## Endpoint

```
/ext/metrics
```

## Usage

To get the node metrics:

```sh
curl -X POST 127.0.0.1:9630/ext/metrics
```

## Format

This API produces Prometheus compatible metrics. See [here](https://metric.io/docs/instrumenting/exposition_formats) for information on Prometheus' formatting.

[Here](https://docs.lux.network/docs/nodes/maintain/monitoring) is a tutorial that shows how to set up Prometheus and Grafana to monitor Lux Node using the Metrics API.
